- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# QextScintillaLexerJava Class Reference

The QextScintillaLexerJava class encapsulates the Scintilla Java lexer. More...

`#include <qextscintillalexerjava.h>`

Inherits QextScintillaLexerCPP.

List of all members.

## Public Member Functions

- QextScintillaLexerJava (TQObject *parent=0, const char *name=0)
- virtual ~QextScintillaLexerJava ()
- const char * language () const
- const char * keywords (int set) const

## Detailed Description

The QextScintillaLexerJava class encapsulates the Scintilla Java lexer.

## Constructor & Destructor Documentation

QextScintillaLexerJava::QextScintillaLexerJava | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QextScintillaLexerJava with parent parent and name name. parent is typically the QextScintilla instance.

virtual QextScintillaLexerJava::~QextScintillaLexerJava | ( |  | ) | `[virtual]`

Destroys the QextScintillaLexerJava instance.

## Member Function Documentation

const char* QextScintillaLexerJava::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Reimplemented from QextScintillaLexerCPP.

const char* QextScintillaLexerJava::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QextScintillaLexerCPP.